{ pkgs
, ...
}:

let 
in {
  # TODO: re-enable this with the appropriate version
  # programs.home-manager.enable = true;
  # programs.home-manager.path = https://github.com/rycee/home-manager/archive/445c0b1482c38172a9f8294ee16a7ca7462388e5.tar.gz;

  nixpkgs.overlays = [
    (import ../../overlay.nix)
  ];

  nixpkgs.config = {
    allowBroken = true;
    allowUnfree = true;
  };

  home.keyboard = {
    layout = "us";
    variant = "altgr-intl";
    options = [ 
      "nodeadkeys"
     # "caps:swapescape"
    ];
  };

  programs.direnv.enable = true;

  home.sessionVariables = {
    NIXPKGS_ALLOW_UNFREE = "1";
    # Don't create .pyc files.
    PYTHONDONTWRITEBYTECODE = "1";
  };

  programs.command-not-found.enable = true;
  programs.fzf.enable = true;

  home.packages =
    [] ++ (with pkgs; [
      # git helpers
      git-crypt

      vcsh
      # Authentication
      cacert
      openssl
      mkpasswd

      just
      ripgrep
      ]);
}
