{ pkgs
, config
, ...
}:

let
in {
  home.file.".nix-channels".text = ''
  '';

  home.activation.removeExistingNixChannels = config.lib.dag.entryBefore ["checkLinkTargets"] ''
    $DRY_RUN_CMD ${pkgs.writeScript "activation-script" ''
    set -ex
    if test -f $HOME/.nix-channels; then
      echo Uninstalling available channels...
      while read url channel; do
        nix-channel --remove $channel
      done < $HOME/.nix-channel
      echo Moving existing file away...
      touch $HOME/.nix-channels.dummy
      mv --backup=numbered $HOME/.nix-channels.dummy $HOME/.nix-channels
      rm $HOME/.nix-channels
    fi
    ''};
  '';
}
