{ pkgs,
...
}:

{
  programs.emacs = {
    enable = true;
    extraPackages = epkgs: (with epkgs; [
      nix-mode
      magit          # ; Integrate git <C-x g>
      zerodark-theme # ; Nicolas' theme
      undo-tree      # ; <C-x u> to show the undo tree
      # zoom-frm       # ; increase/decrease font size for all buffers %lt;C-x C-+>
    ]) ++ (with epkgs.melpaPackages; [
      evil
    ]) ++ (with epkgs.elpaPackages; [
      auctex         # ; LaTeX mode
      beacon         # ; highlight my cursor when scrolling
      nameless       # ; hide current package name everywhere in elisp code
    ]) ++ (with pkgs; [
      pkgs.notmuch   # From main packages set
    ]);
  };
}
