{ nixpkgs ? import <nixpkgs> {}
, nrNanos ? 1 # Number of nanos
}:

let 
  pkgs = nixpkgs;
  webserver = { services.httpd.enable = true;
      services.httpd.adminAddr = "mail@stefanjunker.de";
      services.httpd.documentRoot = "${pkgs.nixops}/share/doc/nixops/";
      networking.firewall.allowedTCPPorts = [ 80 ];
  };

  mkNano = { n }: {
      imports = [
        (import ./nano/configuration.nix {inherit pkgs n;})
        ../configuration/common/user/root.nix
      ];
      deployment.targetEnv = "none";
      deployment.targetHost = "nano${toString n}";
  };

  mkNanos = n: nixpkgs.lib.nameValuePair "nano${toString n}" (
    mkNano { inherit n; } 
  );

in nixpkgs.lib.listToAttrs (map mkNanos (nixpkgs.lib.range 0 (nrNanos - 1)))
