{ ... } @ args:

let

in args // {
  config = { config, pkgs, ... }: {
    imports = [
      ../profiles/containers/configuration.nix
    ];

    networking.firewall.enable = true;
    networking.firewall.allowedTCPPorts = [
      # syncthing gui
      8384
    ];

    services.syncthing = {
      enable = true;
      openDefaultPorts = true;
      guiAddress = "0.0.0.0:8384";
    };
  };

  autoStart = true;

  bindMounts = {
    "/var/lib/syncthing/" = {
      hostPath = "/var/lib/container-volumes/syncthing/var-lib-syncthing";
      isReadOnly = false;
    };
  };

  privateNetwork = true;
  forwardPorts = [
    {
      containerPort = 22000;
      hostPort = 22000;
      protocol = "tcp";
    }
  ];
}
