{ config,
  pkgs,
  ... }:

let

in {
  nixpkgs.config = {
    allowBroken = false;
    allowUnfree = true;

    packageOverrides = pkgs: rec {
      # libvirt = unstablepkgs.libvirt;

      myLinuxPackages = pkgs.recurseIntoAttrs (pkgs.linuxPackagesFor
        (pkgs.linux_latest.override {
        kernelPatches = pkgs.linux_latest.kernelPatches ++ [
          {
            name = "bfq1";
            patch = pkgs.fetchurl {
              url = "ftp://teambelgium.net/bfq/patches/4.7.0-v8r3/0001-block-cgroups-kconfig-build-bits-for-BFQ-v7r11-4.7.0.patch";
              sha256 = "116jfdgjgmy1fv6kzz7dm1c7rjy1pbsfzzcjv5mgsb7pnaxq3gd6";
            };
          }
          {
            name = "bfq2";
            patch = pkgs.fetchurl {
              url = "ftp://teambelgium.net/bfq/patches/4.7.0-v8r3/0002-block-introduce-the-BFQ-v7r11-I-O-sched-for-4.7.0.patch";
              sha256 = "0wjmnym2ycglx42f513n97b45x3xqi33q7z4cs0aiz0zbblm8jql";
            };
          }
          {
            name = "bfq3";
            patch = pkgs.fetchurl {
              url = "ftp://teambelgium.net/bfq/patches/4.7.0-v8r3/0003-block-bfq-add-Early-Queue-Merge-EQM-to-BFQ-v7r11-for.patch";
              sha256 = "0898aklynxb9dr0nb0kdhc2incjkjihds9dakxvdy0mwjqr0jd6v";
            };
          }
          {
            name = "bfq4";
            patch = pkgs.fetchurl {
              url = "ftp://teambelgium.net/bfq/patches/4.7.0-v8r3/0004-block-bfq-turn-BFQ-v7r11-for-4.7.0-into-BFQ-v8r3-for.patch";
              sha256 = "09ya3g39zk9k3hzjx4fkl60qkxdgzllnx3kk9dyi7lvydmhp4y6v";
            };
          }
        ];
        extraConfig  = ''
          BFQ_GROUP_IOSCHED y
          IOSCHED_BFQ y
          DEFAULT_BFQ y
        '';
        })
        pkgs.linuxPackages_latest
      );
    };
  };

  environment.systemPackages = with pkgs; [
  ];
}
