{ config
, pkgs
, ... }:

{
  imports = [
    "${<home-manager-module>}/nixos"
  ];
  home-manager.users.root = import ../../../home-manager/configuration/text-minimal.nix;

  nixpkgs.config = {
    allowBroken = false;
    allowUnfree = true;

    packageOverrides = pkgs: with pkgs; {
    };
  };

  environment.systemPackages = with pkgs; [
    elfutils
    exfat
    file
    tree
    pwgen
    proot

    parted
    pv
    tmux
    wget
    curl

    gitFull
    pastebinit
    gist
    mr

    usbutils
    pciutils

    podman
  ];
}
