self: super:

let
  nixpkgs-master = import (builtins.fetchTarball {
    url = "https://github.com/NixOS/nixpkgs-channels/archive/de5fd9e6110489722e8667664dce9fdc17331866.tar.gz";
    sha256 = "0z1j2pmvn15m2ir2i9l2prr81cq7f1x8xs4cv2s7q4fslz586ghn";
  }) {};
  # one application requires php5
  nixpkgsWithPhp5 = super.fetchFromGitHub {
    owner = "nixos";
    repo = "nixpkgs-channels";
    rev = "846d8f8305192dcc3a63139102698b4ac6b9ef9f";
    sha256 = "1qifgc1q2i4g0ivpfjnxp4jl2cc82gfjws08dsllgw7q7kw4b4rb";
  };

in {
  podman = nixpkgs-master.podman;
  conmon = nixpkgs-master.conmon;

  duplicacy = super.callPackage ./pkgs/duplicacy {};
  just = super.callPackage ./pkgs/just.nix {};
  mfcl3770cdw = super.callPackage ./pkgs/mfcl3770cdw.nix {};
  slirp4netns = super.callPackage ./pkgs/slirp4netns.nix {};
  staruml = super.callPackage ./pkgs/staruml.nix { inherit (super.gnome2) GConf; libgcrypt = super.libgcrypt_1_5; };

  busyboxStatic =  super.busybox.override {
    enableStatic = true;
    extraConfig = ''
       CONFIG_STATIC y
       CONFIG_INSTALL_APPLET_DONT y
       CONFIG_INSTALL_APPLET_SYMLINKS n
     '';
  };
  dropbearStatic = super.dropbear.override {
    enableStatic = true;
  };

  php56 = (super.callPackages
    "${nixpkgsWithPhp5}/pkgs/development/interpreters/php/default.nix" {})
    .php56.overrideAttrs(drv: rec {
      # See https://secure.php.net/ChangeLog-5.php
      version = "5.6.40";
      name = "php-${version}";

      sha256 = "005s7w167dypl41wlrf51niryvwy1hfv53zxyyr3lm938v9jbl7z";
      src = super.fetchurl {
        url = "http://www.php.net/distributions/php-${version}.tar.bz2";
        inherit sha256;
      };
    });

  rdedup = super.callPackages ./pkgs/rdedup {};
}
