with import <nixpkgs> {};

stdenv.mkDerivation rec {
    name = "nozbe";
    version = "3.6.3";

    src = fetchzip {
      url = "https://files.nozbe.com/linux/linux64_newest.tar.gz";
      sha256 = "08hag0kv23psqa1pl9kardz90scgk21rsr5xxfg8jvmnxy2nc858";
      stripRoot = false;
    };

    buildInputs = [ makeWrapper ];

    buildPhase = '':'';

    libPath = lib.makeLibraryPath [ 
      alsaLib
      atk
      cairo
      cups
      dbus
      expat
      freetype
      fontconfig
      gnome3.gconf
      gcc.cc
      gdk_pixbuf
      gtk2-x11
      glib
      pango
      nss
      nspr
      systemd.lib
      xorg.libX11
      xorg.libXcursor
      xorg.libXcomposite
      xorg.libXext
      xorg.libXfixes
      xorg.libXdamage
      xorg.libXi
      xorg.libXrandr
      xorg.libXrender
      xorg.libXtst
      xorg.libXScrnSaver
    ];
    installPhase = ''
      pushd Nozbe-${version}
      ls -lha

      patchelf --set-interpreter ${stdenv.glibc}/lib/ld-linux-x86-64.so.2 Nozbe

      mkdir -p $out/bin
      cp -a * $out/

      wrapProgram $out/Nozbe \
        --prefix LD_LIBRARY_PATH : "${libPath}"

      ln -sf ../Nozbe $out/bin/
    '';
}
