{ stdenv
, fetchFromGitHub
, autoconf
, automake
, libtool
, gnumake
, gcc
}:

stdenv.mkDerivation rec {
  name = "slirp4netns-${version}";
  version = "v0.2.1";

  src = fetchFromGitHub {
    owner = "rootless-containers";
    repo = "slirp4netns";
    rev = "${version}";
    sha256 = "0kqncza4kgqkqiki569j7ym9pvp7879i6q2z0djvda9y0i6b80w4";
  };

  buildInputs = [
    autoconf
    automake
    libtool
    gnumake
    gcc
  ];
    
  configurePhase = ''
    ./autogen.sh
    ./configure --prefix=""
  '';

  buildPhase = ''
	make
  '';

  installPhase = ''
    make DESTDIR="$out" install
  '';

  meta = with stdenv.lib; {
    description = "User-mode networking for unprivileged network namespaces";
    homepage = https://github.com/rootless-containers/slirp4netns;
    license = null;
    maintainers = [ maintainers.steveej ];
    platforms = platforms.all;
  };
}
