#!/usr/bin/env bash
set -x
rm *.qcow2
rm result*
set -e

BUILD_NIXPKGS="${BUILD_NIXPKGS:-${HOME}/src/github/NixOS/nixpkgs.dev}"
NIXOS_CONFIG="${NIXOS_CONFIG_OVERRIDE:-${PWD}/configuration.nix}"

nix-build -K --show-trace build-vm.nix \
    --arg vmPkgsPath '<nixos-18.03>' \
    --argstr buildPkgsPath "${BUILD_NIXPKGS}" \
    --argstr nixosConfigPath "${NIXOS_CONFIG}" \
    -A vmWithBootLoaderMixed

./result/bin/run-*-vm 
